Skip to main content
GET
Search API Logs

Headers

x-trackstar-api-key
string
required

Your organization-level Trackstar API key.

Example:

"<x-trackstar-api-key>"

Query Parameters

start_date
string<date-time>
required

Only return requests received at or after this time. Cannot be more than 180 days ago, which is how long we retain logs.

Example:

"2024-01-15T00:00:00Z"

end_date
string<date-time>

Only return requests received at or before this time. Defaults to now.

Example:

"2024-01-16T00:00:00Z"

connection_id
string

Only return requests made against this connection.

Example:

"abc123def456abc123def456abc123de"

integration_name
enum<string>

Only return requests made against connections to this integration. The same name can exist across types, so pair it with integration_type to disambiguate.

Available options:
active-ants,
adp,
amazon,
amphora,
amplifier,
ams,
amware,
atomix,
bdi,
bergen,
bigblue,
bigcommerce,
bleckmann,
bluebox,
byrd,
camelot,
canary7,
capacity,
carton-cloud,
cin7-omni,
cirro,
clarus,
controlport,
crafty,
cwr,
cybership,
dart,
darwynn-fulfillment,
davinci,
dcl,
dear-systems,
deposco,
dhl-ecom,
dhl-express,
distribution-alternatives,
distribution-management,
dotcom-distribution,
douyin,
dpd,
ebay,
elite-ops,
eshipping,
etsy,
evolve,
excelsior,
extensiv-3pl-central,
fabfitfun,
faire,
fba,
fedex,
fedex-fulfillment,
ffe,
finale,
flat-fee-shipping,
flexport,
florisoft,
flowspace,
forceget,
fulfil,
fulfillment,
fulfillment-lab,
fulfillor,
fulfilmentcrowd,
fullgood-fulfillment,
g-global,
gobolt,
greenmark,
groupon,
helm-wms,
hive,
i-fulfilment,
icreate,
ilg,
infoplus,
itshere,
jas,
jaygroup,
jazz-central,
landmark,
leanafy,
leanware,
lineage,
linnall,
linnworks,
logicpod,
logiwa,
logiwa-io,
longtail,
luxroutage,
mabang,
magento,
mai,
mainfreight,
masonhub,
mayple,
mintsoft,
mirakl,
mochila-fulfillment,
monta,
netsuite,
next3pl,
nfi,
nimble,
nlrp,
nri,
nuorder,
oia-global,
omnitrans,
ongoing,
orderflow,
orderwise,
osa-commerce,
overstock,
packem,
packiyo,
pattern,
peoplevox,
picqer,
pimento,
podfoods,
portless,
postnord,
pulpo,
qls,
quiet,
rjw,
royal-mail,
rush-order,
salesupply,
sandbox,
shipbob,
shipedge,
shipfusion,
shiphero,
shipmonk,
shipnetwork,
shipoffers,
shipout,
shipping-and-handling,
shipping-tree,
shippingbo,
shipstation,
shipstream,
shipwire,
shopify,
skladon,
skulabs,
skusavvy,
skuvault,
smart-warehousing,
smartpack,
sojo,
souko,
squarespace,
star,
states-logistics,
stock-and-trace,
stockhub,
stord,
teamship,
teapplix,
techship,
tiktok,
tradepeg,
unis,
unleashed,
ups,
usps,
veeqo,
veracore,
vertical-cold,
vox,
walmart,
warehance,
warehouseos,
wayfair,
whiplash,
wineshipping,
wix,
woocommerce,
xb-fulfillment,
xorosoft,
zenventory,
zoho
Example:

"example_wms"

integration_type
enum<string>

Only return requests made against connections of this integration type.

Available options:
wms,
freight,
cart,
carrier,
erp
Example:

"wms"

request_method
enum<string>

Only return requests made with this HTTP method.

Available options:
GET,
POST,
PUT,
DELETE,
PATCH,
HEAD,
OPTIONS
Example:

"GET"

request_path
string

Only return requests made to this endpoint. Path parameters are replaced with <path_param>, so a request to /wms/orders/123 is stored as /wms/orders/<path_param>.

Example:

"/wms/orders"

status_code
integer

Only return requests that returned this HTTP status code.

Example:

200

limit
integer
default:100

The maximum number of requests to return per page. The default is 100. Minimum 1 and maximum 5000. Fewer may be returned if the page would be too large, in which case a next_token is included.

Required range: 1 <= x <= 5000
Example:

100

page_token
string

The page token to use to retrieve the next page of results. If this field is omitted, there are no subsequent pages.

Example:

"page_token"

Response

Successful response

data
APILog · object[]
required

The requests that matched the search, most recent first.

total_count
integer
required

The number of items returned.

Example:

1

next_token
string | null
required

See pagination for more details.

Example:

"next_token"